<?php
require_once ASD_APPLICATION_PATH . '/services/View/Helper/AbstractHelper.php';

class Asd_Service_View_Helper_LimitStringLength extends Asd_Service_View_Helper_AbstractHelper
{
    public function __invoke($string, $length, $elipsis='...')
    {
        if (iconv_strlen($string, 'utf-8') > $length) {
            $string = trim(iconv_substr($string, 0,
                $length - iconv_strlen($elipsis, 'utf-8'),
                'utf-8'))
                . $elipsis;
        }

        return $string;
    }
}
