<?php
require_once ASD_APPLICATION_PATH . '/services/AbstractService.php';

class Asd_Service_Setup extends Asd_Service_AbstractService
{
    protected $_marketFields = array(
        'affiliate_id',
        'category',
        'subcategory'
    );

    public function install()
    {
        $options = Asd_Application::getModel('Options');

        $version = $options->getValue('version');
        if ('' == $version) {
            $marketCode = $options->getValue('market', NULL);
            if ('' != $marketCode) {
                foreach($this->_marketFields as $field) {
                    $value =  $options->getValue($field, NULL);
                    if ('' != $value) {
                        $options->setValue("{$marketCode}_{$field}", $value);
                    }
                    $options->unsetValue($field);
                }
            }
        }

        $options->setValue('version', Asd_WpPlugin::VERSION);
    }
}